Package Gnumed :: Package business :: Module gmForms :: Class cXSLTFormEngine |
[frames] | no frames]

# Class cXSLTFormEngine

source code

     object --+
              |
    cFormEngine --+
                  |
                 cXSLTFormEngine

This class can create XML document from requested data, then process it with XSLT template and display results

Instance Methods
__init__(self, template=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
process(self, sql_parameters) get data from backend and process it with XSLT template to produce readable output | source code
preview(self) | source code
print_directly(self) | source code
Inherited from `cFormEngine`: `edit`, `generate_output`, `substitute_placeholders` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, template=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)